> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Integration Link

> Allows refreshing the access_token of an existing Integration Link



## OpenAPI

````yaml https://app.herondata.io/swagger put /api/integration_links/{item_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/integration_links/{item_id}:
    put:
      tags:
        - Integrations
      summary: Update an Integration Link
      description: Allows refreshing the access_token of an existing Integration Link
      parameters:
        - in: path
          name: item_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                end_user:
                  $ref: '#/components/schemas/IntegrationLinkUpdateSchema'
              type: object
        description: IntegrationLink
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  integration_link:
                    $ref: '#/components/schemas/IntegrationLinkSchema'
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IntegrationLinkUpdateSchema:
      properties:
        access_token:
          description: >-
            The generated token that grants access to the bank (this is
            encrypted in transit and at-rest with a custom key)
          example: access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6
          type: string
          writeOnly: true
      required:
        - access_token
      type: object
    IntegrationLinkSchema:
      properties:
        access_token:
          description: >-
            The generated token that grants access to the bank (this is
            encrypted in transit and at-rest with a custom key)
          example: access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6
          nullable: false
          type: string
          writeOnly: true
        asset_report_token:
          default: null
          description: >-
            Optional. If you already have a Plaid asset report, pass the token
            to skip creating a new one.
          nullable: true
          type: string
          writeOnly: true
        created:
          description: When the integration link was created in Heron system
          example: '2020-01-01T00:00:00Z'
          format: date-time
          readOnly: true
          type: string
        end_user_id:
          description: A unique identifier for your end user (customer) generated by you
          example: 8d18511d-9d6e-4731-b135-260950ddad0c
          type: string
          writeOnly: true
        end_user_name:
          description: >-
            An human readable name for this end user, like the company legal
            name
          example: Acme Corp
          type: string
          writeOnly: true
        item_id:
          description: >-
            Unique identifier for each bank connection made by your end users.
            In Plaid this is the 'item_id'.
          example: M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op
          nullable: false
          type: string
        last_successful_sync:
          description: When the integration link was last successfully synced
          example: '2020-01-01T00:00:00Z'
          format: date-time
          readOnly: true
          type: string
        last_updated:
          description: When the integration link was last updated in Heron system
          example: '2020-01-01T00:00:00Z'
          format: date-time
          readOnly: true
          type: string
        status:
          description: The integration link status
          enum:
            - pending
            - active
            - syncing
            - erroring
            - sync_disabled
            - deleted_in_plaid
          example: active
          readOnly: true
          type: string
        status_message:
          description: A message describing the 'erroring' status of the integration link
          example: >-
            [ITEM_LOGIN_REQUIRED] the login details of this item have changed
            (credentials, MFA, or required user action) and a user login is
            required to update this information. use Link's update mode to
            restore the item to a good state
          readOnly: true
          type: string
        type:
          description: >-
            The integration link type, inherited from the integration:
            plaid_assets_report or plaid_integration
          example: plaid_assets_report
          readOnly: true
          type: string
      required:
        - access_token
        - end_user_id
        - item_id
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````